Commet
  • Precios
Iniciar SesiónRegistrarse
Create offer POSTDelete offer DELETEGet offer GETList offers GETUpdate offer PATCH
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

List offers

List the organization's canonical introductory and promotional offers.

GET
/offers

List the organization's canonical introductory and promotional offers.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

cursor?string
Length1 <= length
limit?integer
Range1 <= value <= 100
planPriceId?string
Length1 <= length
purpose?string

Value in

  • "introductory"
  • "promotional"
active?boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/offers"
{  "object": "list",  "data": [    {      "id": "string",      "name": "string",      "purpose": "introductory",      "planPriceIds": [        "string"      ],      "phases": [        {          "type": "free_trial",          "durationDays": 1        }      ],      "metadata": {        "property1": null,        "property2": null      },      "startsAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "active": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "object": "offer",      "livemode": true    }  ],  "hasMore": true,  "nextCursor": "string"}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Get offer GET

Retrieve a canonical offer by its public ID.

Update offer PATCH

Replace an offer's catalog definition. Existing offer applications keep their immutable accepted terms.